Bug 171115 - 2.6.9-22.ELsmp crashes on unsymetric memory configuration
2.6.9-22.ELsmp crashes on unsymetric memory configuration
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Peter Martuccelli
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-18 08:25 EDT by Kai 'wusel' Siering
Modified: 2012-06-20 12:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:04:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kai 'wusel' Siering 2005-10-18 08:25:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
Sun X4100 (2x Opteron 275) with 10 GB (6 GB on CPU#0, 4 GB on CPU#1) DOES NOT run with or without "numa=off" and kernel 2.6.9-22.ELsmp (hang after "decompressing kernel" or something -- before first kernel message).

Same Sun X4100 with same memory configuration DOES run without "numa=off" with 2.6.9-11.ELsmp.

Same Sun X4100 but with 8 GB (2x 2 GB on #0, 2x 2 GB on #1) DOES run (without "numa=off") with either kernel.

(Since Sun X4100 (nicknamed "Galaxy") is not yet listed as RHEL-certified, RH support won't even look at this issue -- I'm therefore filing it in Bugzilla for future reference.)


Version-Release number of selected component (if applicable):
kernel-2.6.9-22.ELsmp

How reproducible:
Always

Steps to Reproduce:
1. Install a X4100 with Suns Installation CD (RAID driver necessary is not included in RHEL 4 U1), "up2date" it => 2.6.9-11.ELsmp get's updated to 2.6.9-22.ELsmp. Rebooting into 2.6.9-22.ELsmp works fine (with symetric memory configuration)
2. Add 2 DIMMs to CPU0, making the memory configuration unsymetric.
3. Reboot into 2.6.9-22.ELsmp.


Actual Results:  Hard hang before the first kernel message. Last message is "decompressing kernel" or something.

Expected Results:  No crash, like when booting 2.6.9-11.ELsmp with 4/4 or 6/4 memory config or like booting a 4/4 memory config with 2.6.9-22.ELsmp.

"numa=off" does not change anything with 2.6.9-22.ELsmp and 6/4 memory config.

Additional info:
Comment 3 Jim Paradis 2005-12-05 16:00:42 EST
Try reproducing the original problem and specify "earlyprintk=vga" to see if
anything useful is printed.  To redirect to the serial port for capture, boot
with "earlyprintk=ttyS0,115200" (or whichever baudrate you prefer).
Comment 5 Red Hat Bugzilla 2007-03-18 18:34:13 EDT
User jparadis@redhat.com's account has been closed
Comment 6 Jiri Pallich 2012-06-20 12:04:03 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.